# 170426 jamp pipeline
setwd("~/Documents/UNI_und_VORLESUNGEN/GitHub/JAMP/")

#install.packages(c("bold", "XML", "seqinr"), dependencies=T)
#install.packages("JAMP", repos = NULL, type="source")
#install.packages("~/Desktop/bold-master", repos = NULL, type="source")


library("JAMP") #v0.17
library("bold")
library("XML")
# base directory
setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP")

Demultiplexing_shifted(c("../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5038_1_1.fastq.bz2", "../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5044_1_1.fastq.bz2"), c("../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5038_1_2.fastq.bz2", "../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5044_1_2.fastq.bz2"), tags="../161203_fwh.csv", combinations="../haplo_filenames.csv")

U_merge_PE() # merge PE

# select sequ to make revcomp of!
revcomp <- list.files("B_U_merge_PE/_data")
revcomp_tf <- grepl(".*_.*_...R.*_.*_.*", revcomp)
cbind(revcomp, revcomp_tf)

U_revcomp(RC= revcomp_tf) # make RevComp of selected reads


fw <- c(rep("YTCHACWAAYCAYAARGAYATYGG", 16), rep("GGDACWGGWTGAACWGTWTAYCCHCC", 14))
rw <- c(rep("ARTCARTTWCCRAAHCCHCC", 16), rep("GTRATWGCHCCDGCAARWACWGG", 14))

Cutadapt(forward=fw, reverse=rw)


min <- c(rep(178-10, 16), rep(205-10, 14))
max <- c(rep(178+10, 16), rep(205+10, 14))

Minmax(min=min, max=max)

U_max_ee(max_ee=0.05)


# TIERMIX - 52 taxa
# S. 718 - 20.12.2016
files <- list.files("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP/F_U_max_ee/_data", full.names=T)[1:8] 
U_cluster_otus(files, filter=0.003)
file.rename("G_U_cluster_otus", "G_U_cluster_otus - TierMix fwh1")
#Bold_taxonomy("5_OTU_table_0.003.csv", "G_U_cluster_otus - TierMix fwh1")



files <- list.files("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP/F_U_max_ee/_data", full.names=T)[17:24]
U_cluster_otus(files, filter=0.003)
file.rename("H_U_cluster_otus", "H_U_cluster_otus - TierMix fwh2")
#Bold_taxonomy("5_OTU_table_0.003.csv", "H_U_cluster_otus - TierMix fwh2")


setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP")

Bold_web_hack("170118_bold_fwh1.txt", "G_U_cluster_otus - TierMix fwh1")
Bold_web_hack("170118_bold_fwh2.txt", "H_U_cluster_otus - TierMix fwh2")



# DceM
temp <- list.files("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP/F_U_max_ee/_data", full.names=T)[9:10]
Minmax(files=temp, min=178, max=178, fastq=F)
file.rename("I_Minmax", "I_Minmax - DceM")

# DceM without any additional filtering
U_cluster_otus(filter=0.003)




# romania fwh1
files <- list.files("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP/F_U_max_ee/_data", full.names=T)[11:16]
U_cluster_otus(files, filter=0.003)
file.rename("K_U_cluster_otus", "K_U_cluster_otus - fwh1")


# romania fwh2
files <- list.files("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP/F_U_max_ee/_data", full.names=T)[25:30]
U_cluster_otus(files, filter=0.003)
file.rename("L_U_cluster_otus", "L_U_cluster_otus - fwh2")

setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/1 JAMP")

Bold_web_hack("170427_bold_romania_fwh1.txt", "K_U_cluster_otus - fwh1")
Bold_web_hack("170427_bold_romania_fwh2.txt", "L_U_cluster_otus - fwh2")




